Create conversation
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidapplication/json- body
title?|nullSuccessful Response
application/json- response
context_snapshot_id*|nullcreated_at*Created AtFormat
date-timecreated_by*Created ByFormat
uuidid*IdFormat
uuidmessages*array<>runs*array<>status*Statustitle*Titleupdated_at*Updated AtFormat
date-timecurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/assistant/conversations' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "context_snapshot_id": "975da57c-75b7-414d-8086-534aa86baded", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "messages": [ { "author_id": "78424c75-5c41-4b25-9735-3c9f7d05c59e", "content": "string", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "user", "structured": {} } ], "runs": [ { "assistant_message_id": "bb34c082-20a7-446a-a2d9-976d65d15191", "cache_hit": true, "completed_at": "2019-08-24T14:15:22Z", "context_snapshot_id": "975da57c-75b7-414d-8086-534aa86baded", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "created_at": "2019-08-24T14:15:22Z", "error_code": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "route": "string", "skill_id": "string", "specialist": "string", "started_at": "2019-08-24T14:15:22Z", "status": "string", "user_message_id": "1798585b-bc85-46b6-801b-ecb7c9ceed07" } ], "status": "string", "title": "string", "updated_at": "2019-08-24T14:15:22Z"}